/**** DEFAULTS ****/
*{
    padding: 0;
    margin: 0;
    /* box-sizing: border-box; */
}

html{
    line-height: 1.6;
    font-family: 'Lato', sans-serif;
    color: floralwhite;
}

body {
  background-color: #EAE9ED;
}

/**** PAGES ****/

.page{
    background-color: #30274f;
    display: none;
    height: 700px;
    width: 320px;
    padding: 1rem 2rem;
    top: 0;
    box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.4);
    overflow: hidden;
    margin-top: 20px;
    border-radius: 5px;
}

.active{
    display: block;
}

.active .live-page{
    color: floralwhite;
}

.section-header {
  font-size: 18px;
}

#showcase-now-playing {
    margin-top: 28px;
}

#showcase-search {
  margin-top: 28px;
}

#showcase-up-next {
  margin-top: 28px;
}


#playing{
    background-color: #30274f;
}
#queue{
    background-color: #30274f;
}
#search{
    background-color: #30274f;
}

h1{
    font-size: 25px;
    font-weight: 700;
    transition: all 0.4s;
}

.name-of-this-queue {
  font-size: 25px;
  font-weight: 500;
  color: #b4adc9;
  transition: all 0.4s;
}

.big{
    font-size: 5rem;
    font-weight: 900;
}

/*  */

/* Main Display */

.main-display-div{
  margin: auto;
  width: 100%;
  /* padding: 10px */
}

main {
  position: absolute;
  left: 50%;
  top: 0;
  transform: translate(-50%, 0);
}

/* .now-playing-album-cover {
  width: 266px;
  height: 266px;
  padding: 00;
  margin-top: 80;
  margin-left: 50;
  position: absolute;
  top: 0;
  left: 0;
  transform-origin: 0% 0%;
} */

.now-playing-song {
    padding: 0;
    font-size: 16px;
    text-align: center;
    line-height: 14px;
    font-weight: 700;
}

.now-playing-artist {
  padding: 0;
  font-size: 16px;
  text-align: center;
  line-height: 14px;
  font-weight: 500;
  margin-top: 5px;
}

/* Queued songs in now playing page */

.icon-bar {
  width: 100%;
  background-color: #555;
  overflow: auto;
}

.icon-bar li {
  float: left;
  width: 20%;
  text-align: center;
  padding: 12px 0;
  transition: all 0.3s ease;
  color: white;
  font-size: 36px;
}

.icon-bar li:hover {
  background-color: #000;
}

.playing-up-next-img {
  background: no-repeat;
  background-size: cover;
  width: 75px;
  height: 75px;
}

.queued-container {
  width: 100%;
  overflow: auto;
}

.queued-container div {
  float: left;
  width: 33.3333%; /* Equal width (5 icons with 20% width each = 100%) */
  transition: all 0.3s ease; /* Add transition for hover effects */
  color: white; /* White text color */
  font-size: 36px;
  text-align: center;
}

.nav-link {
  color: #28123e;
}

/* .nav-link {
  border: none;
  outline: none;
  padding: 10px 16px;
  background-color: #f1f1f1;
  cursor: pointer;
  font-size: 18px;
}

.nav-active .nav-link:hover {
  background-color: #666;
  color: white;
} */

/* .queued-container {
  display: block;
  position: absolute;
  top: 430;
  left: 10;
  transform-origin: 0% 0%;
}

.image-column {
    width: 55px;
    height: 55px;
    margin-top: 80;
    margin-left: 25px;
    transform-origin: 0% 0%;
    border-radius: 5px;
    flex: 5%;
} */

/* bottom nav */

/* .tab-container {
  position: absolute;
  top: 605;
  left: -33;
  display: flex;
}

.tab {
  background-color: #98c6bd;
  width: 100px;
  height: 50px;
  margin-top: 0;
  margin-left: 33px;
  transform-origin: 0% 0%;
  border-radius: 5px;
  flex: 5%;
  cursor: pointer;
}

.tab h4 {
  margin: 15 0 0 20;
} */

ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #595272;
  position: absolute;
  bottom: 0px;
  width: 320px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}


li {
  float: left;
  width: 33.33333%;
}

li a {
  display: block;
  color: white;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
}

/* Change the link color to #111 (black) on hover */
li a:hover {
  background-color: #111;
}

/* .active {
  background-color: #4CAF50;
  color: white;
} */

/*  */

img {
  box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.4);
  border-radius: 5px;
}

/* Queue section only */

.queue-album-image {
  text-align: center;
}

.queue-item-image {
  height: 55px;
  width: 55px;
  text-align: center;
}

.queue-main-display-div {
  margin-top: 28px;
  overflow-y: scroll; height:600px;
}

.search-main-display-div {
  margin-top: 2px;
  overflow-y: scroll; height:600px;
}

table {
    border-collapse: separate;
    border-spacing: 0 5px;
    width: 320px;
}

td {
    border: solid 1px #1C172F;
    /* border: none; */
    border-style: solid none;
    padding: 10px;
}
td:first-child {
    border-left-style: solid;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
td:last-child {
    border-right-style: solid;
    border-bottom-right-radius: 5px;
    border-top-right-radius: 5px;
}

/* td {
    padding: 10px;
} */

tr {
    transform-origin: 0% 50%;
    height: 50px;
    text-align: center;
    background-color: #1C172F;
    border-radius: 5px;
}

/* .Queue {
    border-spacing: 0px 2px;
} */

.queue-song-artist h6{
  font-size: 12px:
  color: #5e5e5e;
}

.queue-song-title h5{
  font-size: 12px:
  color: #5e5e5e;
}

#heart1:checked + .checkbox {
  /* style here */
}

/* Search section */

/* Add a black background color to the top navigation bar */
.search-input {
  overflow: hidden;
  margin-top: 28px;
}

/* Style the search box inside the navigation bar */
.search-input input[type=text] {
  width: 308px;
  height: 40px;
  border: none;
  margin-top: 8px;
  margin-right: 16px;
  font-size: 17px;
  border-radius: 5px;
  padding: 6px;
}

/* When the screen is less than 600px wide, stack the links and the search field vertically instead of horizontally */
@media screen and (max-width: 600px) {
  .search-input input[type=text] {
    float: none;
    display: block;
    text-align: left;
    width: 100%;
    margin: 0;
    padding: 14px;
  }
  .search-input input[type=text] {
    border: 1px solid #ccc;
  }
}

input {
  font-family: 'Lato', sans-serif;
}
